package paintgui;

import java.awt.Graphics;
import java.awt.Point;
import java.util.ArrayList;
import java.util.List;

import javax.swing.JPanel;

public class PaintPanel extends JPanel {
	private List<Shape> shapes = new ArrayList<Shape>();

	public PaintPanel() {
	}

	@Override
	public void paint(Graphics arg0) {
		super.paint(arg0);
		for (Shape s : shapes) {
			s.draw(arg0);
		}
	}

	public void addShape(Shape shape) {
		shapes.add(shape);
		repaint();
	}
}
