package circles;

import java.awt.Graphics;
import javax.swing.JPanel;
import javax.swing.event.TableModelEvent;
import javax.swing.event.TableModelListener;

public class KPanel extends JPanel implements TableModelListener
{
    ItemTableModel table;
    public KPanel(ItemTableModel table)
    {
        super();
        this.table = table;
    }
    
    @Override
    public void paint(Graphics g)
    {
        super.paint(g);
        for(int i = 0; i < table.getRowCount(); i++)
        {
            crtajKrug(g, table.getItemAt(i));
        }
    }
    private void crtajKrug(Graphics g, Item i)
    {
        g.drawOval(i.getX() - i.getR(), i.getY() - i.getR(), 2*i.getR(), 2*i.getR());
    }

    @Override
    public void tableChanged(TableModelEvent tme)
    {
        repaint();
    }
}
