package basicgui;

import java.awt.Dimension;
import java.awt.Point;
import java.awt.Toolkit;

import javax.swing.JFrame;

public class BasicGUI extends JFrame {

	int width = 500;
	int height = 500;

	public BasicGUI() {

		/* sugerisemo swing-u da podesi ove dimenzije */
		setPreferredSize(new Dimension(width, height));
		setVisible(true);
		center();
		setDefaultCloseOperation(EXIT_ON_CLOSE); //DISPOSE_ON_CLOSE, HIDE_ON_CLOSE
		pack(); /* f-ja koja pokusava sve prethodne zelje da primeni */

		/*
		 * precice
		 * 
		 * ctrl+shift+o - automatski import svih potrebnih klasa ctrl+shift+f -
		 * formatiranje ctrl+shift+g - pronalazi sva pojavljivanja markirane
		 * reci u projektu
		 */
	}

	private void center() {
		Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
		setLocation(new Point((int) (dim.getWidth() - width) / 2,
				(int) (dim.getHeight() - height) / 2));
	}

	public static void main(String[] args) {
		BasicGUI gui = new BasicGUI();
	}
}
