package basicsorter;

import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Point;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Arrays;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JList;

public class BasicSorterGUI extends JFrame {

	String[] names=new String[]{"Pera", "Zika", "Mika", "Ana"};
	int width = 500;
	int height = 500;

	public BasicSorterGUI() {
		setPreferredSize(new Dimension(width, height));
		setVisible(true);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		addControls();
		center();
		pack();
	}
	
	private void addControls(){
		GridLayout gridLayout = new GridLayout(2,1);
		setLayout(gridLayout);
		JList namesList = new JList(names);
		add(namesList);
		JButton btnSort = new JButton("Sortiraj");
		btnSort.addActionListener(new ActionListener() {
			
			@Override
			public void actionPerformed(ActionEvent arg0) {
				Arrays.sort(names);//nakon sortiranja niza g. komponenta i dalje toga nije svesna 
				repaint(); //pa radimo eksplicitno osvezavanje svega (nije najpametniji nacin)
			}
		});
		add(btnSort);
	}

	private void center() {
		Dimension dim = Toolkit.getDefaultToolkit().getScreenSize();
		setLocation(new Point((int) (dim.getWidth() - width) / 2,
				(int) (dim.getHeight() - height) / 2));
	}

	public static void main(String[] args) {
		BasicSorterGUI gui = new BasicSorterGUI();
	}
}
